<?php
/*
* Module - SplitSlider Page
*/
if(!class_exists('SplitSlider_VC')){
	class SplitSlider_VC{
		function __construct(){
			add_shortcode('common_splitslider',array($this,'splitslider_shortcode'));
			add_action('init',array($this,'splitslider_shortcode_mapper'));
		}/* end constructor*/
		function splitslider_shortcode($atts){

			extract(shortcode_atts(array(
				"slider" => '',
				"mouse_scroll" => '',
				"only_scroll" => '',
				"autoplay" => '',
				"interval" => '5000',
			),$atts));

			echo do_shortcode('[splitslider slider="'.esc_attr($slider).'" mouse_scroll="'.esc_attr($mouse_scroll).'" only_scroll="'.esc_attr($only_scroll).'" autoplay="'.esc_attr($autoplay).'" interval="'.esc_attr($interval).'" ]');
		} /* end splitslider_shortcode()*/
		function splitslider_shortcode_mapper(){
			if(function_exists('vc_map')){
				$args = array( 'hide_empty' => true );
				$categories = get_terms( $args );
				$sliders = array();
				foreach($categories as $category){
					if( is_object($category) ){
						if( $category->taxonomy == 'splitslider_sliders' ){
							$sliders[$category->name] = $category->slug;
						}
					}
				}
				vc_map(
					array(
						"name" => esc_html__("Split Slider", 'splitslider'),
						"base" => "common_splitslider",
						"class" => "pix-theme-icon",
						"category" => esc_html__("Plugins", 'splitslider'),
						'show_settings_on_create' => true,
						"params" => array(
							array(
								'type' => 'dropdown',
								'heading' => esc_html__('Split Slider', 'splitslider'),
								'param_name' => 'slider',
								'value' => $sliders,
								'description' => esc_html__('Select splitslider slider to show', 'splitslider'),
							),
							array(
								'type' => 'dropdown',
								'heading' => esc_html__('Use Mouse Wheel to Scroll', 'splitslider'),
								'param_name' => 'mouse_scroll',
								'value' => array(
									esc_html__( 'Yes', 'splitslider' ) => '',
									esc_html__( 'No', 'splitslider' ) => 'no',
								),
								'description' => '',
							),
							array(
								'type' => 'dropdown',
								'heading' => esc_html__('Use Only Split Slider', 'splitslider'),
								'param_name' => 'only_scroll',
								'value' => array(
									esc_html__( 'Yes', 'splitslider' ) => '',
									esc_html__( 'No', 'splitslider' ) => 'no',
								),
								'description' => '',
							),
							array(
								'type' => 'dropdown',
								'heading' => esc_html__('Auto Play', 'splitslider'),
								'param_name' => 'autoplay',
								'value' => array(
									esc_html__( 'No', 'splitslider' ) => '',
									esc_html__( 'Yes', 'splitslider' ) => '1',
								),
								'description' => '',
							),
							array(
								'type' => 'textfield',
								'heading' => esc_html__('Auto Play Interval', 'splitslider'),
								'param_name' => 'interval',
								'value' => '5000',
								'dependency' => array(
									'element' => 'autoplay',
									'not_empty' => true,
								),
								'description' => esc_html__('In milliseconds', 'splitslider'),
							),
						)
					)
				);
			} /* end vc_map check*/
		}/*end splitslider_shortcode_mapper()*/
	} /* end class Ultimate_Animation*/
	// Instantiate the class
	new SplitSlider_VC;
	if ( class_exists( 'WPBakeryShortCodes' ) ) {
		class WPBakeryShortCode_common_splitslider extends WPBakeryShortCodes {
		}
	}
}